%define perl_name Cache::Memcached::Fast
%define pmod_ver 0.23
%define real_name Cache-Memcached-Fast

Summary: The perl %{perl_name} module
Name: perl-%{real_name}
Version: %{pmod_ver}
Release: 3%{?dist}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/search?mode=module&query=%{real_name}
Source0: %{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl perl-ExtUtils-MakeMaker
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides: perl(%{perl_name})
%define isnoarch %(tar ztf %{SOURCE0} | egrep -q -e 'xs$'; echo $?)

%if %{isnoarch}
BuildArch: noarch
%define optimize ""
%else
%define optimize OPTIMIZE="$RPM_OPT_FLAGS"
%endif

%description
The perl %{perl_name} module

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site \
	%{optimize}

%{__make}

%install
%{__rm} -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
chmod -R u+w $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > "%{name}-%{version}-%{release}-filelist"
if [ ! -s "%{name}-%{version}-%{release}-filelist" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
%{__rm} -rf %{buildroot}

%files -f "%{name}-%{version}-%{release}-filelist"
%defattr(-, root, root, 0755)

%changelog
* Thu Nov 7 2024 Renich Bon Ćirić <renich@evalinux.com> 0.23-3
- Switched the use of _disttag for dist.

* Fri Nov 25 2016 sog@msg.com.mx 0.23-2
- Virtual provides
- Build for F25

* Wed Nov 16 2016 sog@msg.com.mx 0.23-1
- Build for F24

* Mon Nov 16 2015 sog@msg.com.mx 0.23-1
- Updated module
- Build for F23

* Sat Jan 18 2014 sog@msg.com.mx 0.21-1
- Rebuild for F20

* Fri Jul 12 2013 sog@msg.com.mx 0.21-0
- Updated module
- Build for F19

* Thu Nov 11 2010 sog@msg.com.xm 0.19-0
- Build for F14

* Tue Sep 22 2009 info@msg.com.mx 0.16-0
- spec autogenerated
